View Issue Details

IDProjectCategoryView StatusLast Update
0032156CommunityOCCT:Documentationpublic2021-12-30 15:09
ReporterStefanBruens Assigned Toinv  
PrioritynormalSeverityminor 
Status closedResolutionreopened 
PlatformLinux 
Product Version7.5.0 
Target Version7.7.0Fixed in Version7.6.0 
Summary0032156: Documentation, gendoc.tcl - wrong processing of 'mathjax' option
DescriptionThe condition for processing the mathjax option value is inverse to the wanted behavior:

---
    } elseif {$arg_n == "mathjax"} {
      if { [ lsearch $args_names "pdf" ] != -1 } {
        set possible_mathjax_loc $args_values(mathjax)
---


This branch should be taken if there is no "pdf" option (i.e. lsearch returns -1), so it should be "== -1" instead of "!= -1".

 
Steps To Reproduce
./gendoc -refman -html -mathjax="/usr/share/javascript/mathjax/"


outputs:
"Warning: MathJax is not used with pdf and will be ignored."


It should process and print the mathjax path.
TagsNo tags attached.
Test case numberNot required

Activities

kgv

2021-02-25 09:47

developer   ~0099130

Last edited: 2021-02-25 09:47

Igor, the description looks reasonable - could you please prepare a patch?

git

2021-06-16 13:52

administrator   ~0101868

Branch CR32156 has been created by inv.

SHA-1: 30ca228b71a4d4e54332ee42ef5babe91b98fe2d


Detailed log of new commits:

Author: bugmaster
Date: Wed Jun 16 13:52:19 2021 +0300

    0032156: Documentation, gendoc.tcl - wrong processing of 'mathjax' option

bugmaster

2021-06-19 11:25

administrator   ~0101932

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-08-23 22:59

administrator   ~0103357

Branch CR32156 has been deleted by kgv.

SHA-1: 30ca228b71a4d4e54332ee42ef5babe91b98fe2d

kgv

2021-11-01 09:43

developer   ~0104982

Patch was prepared for a another (wrong) statement in gendoc.

git

2021-11-01 09:53

administrator   ~0104983

Branch CR32156_1 has been created by kgv.

SHA-1: 3068c46c9ae500b5d9d0bfe4d9f9e915fbc2acd7


Detailed log of new commits:

Author: kgv
Date: Mon Nov 1 09:53:12 2021 +0300

    0032156: Documentation, gendoc.tcl - wrong processing of 'mathjax' option
    
    Fixed handling of -s=<search_mode> option.
    Fixed handling of -mathjax=<path> option.

git

2021-12-13 14:56

administrator   ~0105858

Branch CR32156_1 has been deleted by kgv.

SHA-1: 3068c46c9ae500b5d9d0bfe4d9f9e915fbc2acd7

Related Changesets

occt: master 42633ff6

2021-06-16 10:52:19

bugmaster

Details Diff
0032156: Documentation, gendoc.tcl - wrong processing of 'mathjax' option Affected Issues
0032156
mod - adm/gendoc.tcl Diff File

occt: master d1069cad

2021-11-01 06:53:12

kgv


Committer: inv Details Diff
0032156: Documentation, gendoc.tcl - wrong processing of 'mathjax' option

Fixed handling of -s=<search_mode> option.
Fixed handling of -mathjax=<path> option.
Affected Issues
0032156
mod - adm/gendoc.tcl Diff File

Issue History

Date Modified Username Field Change
2021-02-22 22:59 StefanBruens New Issue
2021-02-22 22:59 StefanBruens Assigned To => abv
2021-02-23 08:48 kgv Target Version => 7.6.0
2021-02-23 08:48 kgv Summary Wrong processing of 'mathjax' option in gendoc.tcl => Documentation, gendoc.tcl - wrong processing of 'mathjax' option
2021-02-23 08:48 kgv Description Updated
2021-02-23 08:48 kgv Steps to Reproduce Updated
2021-02-25 09:47 kgv Note Added: 0099130
2021-02-25 09:47 kgv Assigned To abv => bugmaster
2021-02-25 09:47 kgv Status new => assigned
2021-02-25 09:47 kgv Note Edited: 0099130
2021-06-16 13:52 git Note Added: 0101868
2021-06-16 13:54 bugmaster Assigned To bugmaster => abv
2021-06-16 13:54 bugmaster Status assigned => resolved
2021-06-16 13:54 bugmaster Assigned To abv => bugmaster
2021-06-16 13:54 bugmaster Status resolved => reviewed
2021-06-19 11:25 bugmaster Note Added: 0101932
2021-06-19 11:25 bugmaster Status reviewed => tested
2021-06-19 11:30 bugmaster Test case number => Not required
2021-06-19 11:37 bugmaster Changeset attached => occt master 42633ff6
2021-06-19 11:37 bugmaster Status tested => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-08-23 22:59 git Note Added: 0103357
2021-11-01 09:43 kgv Note Added: 0104982
2021-11-01 09:43 kgv Status verified => feedback
2021-11-01 09:43 kgv Resolution fixed => reopened
2021-11-01 09:53 git Note Added: 0104983
2021-11-01 18:14 szy Target Version 7.6.0 => 7.7.0
2021-11-01 18:22 kgv Target Version 7.7.0 => 7.6.0
2021-11-02 17:57 inv Changeset attached => occt master d1069cad
2021-11-02 17:57 inv Assigned To bugmaster => inv
2021-11-02 17:57 inv Status feedback => verified
2021-12-13 14:56 git Note Added: 0105858
2021-12-30 15:09 szy Target Version 7.6.0 => 7.7.0